org.apache.ignite.internal.sql.optimizer.affinity

## Class PartitionJoinGroup

- java.lang.Object
- - org.apache.ignite.internal.sql.optimizer.affinity.PartitionJoinGroup

    public class PartitionJoinGroup
    extends Object

Group of joined tables whose affinity function could be "merged".

### Constructor Summary

Constructors
Constructor and Description
`PartitionJoinGroup(PartitionTableAffinityDescriptor affDesc)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PartitionJoinGroup` `addTable(PartitionTable tbl)` Add table to the group.
`PartitionTableAffinityDescriptor` `affinityDescriptor()`
`boolean` `removeTable(PartitionTable tbl)` Remove table from the group.
`Collection<PartitionTable>` `tables()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionJoinGroup

    public PartitionJoinGroup(PartitionTableAffinityDescriptor affDesc)

Constructor.

Parameters:
  `affDesc` - Affinity function descriptor.

### Method Detail

#### tables

    public Collection<PartitionTable> tables()

Returns:
  Tables in a group.

#### addTable

    public PartitionJoinGroup addTable(PartitionTable tbl)

Add table to the group.

Parameters:
  `tbl` - Table.
Returns:
  This for chaining.

#### removeTable

    public boolean removeTable(PartitionTable tbl)

Remove table from the group.

Parameters:
  `tbl` - Table.
Returns:
  If group is empty after removal.

#### affinityDescriptor

    public PartitionTableAffinityDescriptor affinityDescriptor()

Returns:
  Affinity descriptor.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021